d3.csv('https://gist.githubusercontent.com/Shreets/3ffb4830c11a60f03c5b203ace76745b/raw/ec814eb7181658e44e13a7ae53152d524d0f4202/bmi.csv', function(err, rows){

// creating a function to read csv file and return the attribute values as array  
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
  
//define the trace attributes for the plotly data
var trace2 = {
	x:unpack(rows, 'Height'), 
  y:unpack(rows, 'Weight'), 
  z:unpack(rows, 'BodyFat'),
	mode: 'markers',
	marker: {
		color: 'blue',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'Grey',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace2];
  
//define the layouts -margin, axes value adn stules for the plotly data  
var layout = {
  margin: {
	l: 1,
	r: 1,
	b: 1,
	t: 1},
  scene: {
    xaxis: {
      title: 'Height',
      titlefont: {
         color: 'red',
         family: 'Arial, Open Sans',
         size: 12
      }
    },
    yaxis: {
      title: 'Weight',
      titlefont: {
         color: 'red',
         family: 'Arial, Open Sans',
         size: 12
      }
    },
  zaxis: {
      title: 'Body Fat',
      titlefont: {
         color: 'red',
         family: 'Arial, Open Sans',
         size: 12
      }
    }
   }
  };
  
// call the plotly newPlot method to plot the data
Plotly.newPlot('myDiv', data, layout);
});
